Summary:	Three-dimensional drawing with MetaPost output
Summary(pl.UTF-8):	Tworzenie trójwymiarowej grafiki z wyjściem w formacie MetaPost
Name:		3DLDF
Version:	2.0.3
Release:	7
License:	GPL v2+
Group:		Applications/Graphics
Source0:	http://ftp.gnu.org/gnu/3dldf/%{name}-%{version}.tar.gz
# Source0-md5:	5e669f4efd3d576d42308ba61619a63f
Patch0:		%{name}-info.patch
Patch1:		upstream-cleanup-permissive_cxx_code.patch
Patch2:		upstream-gcc-init_priority.patch
Patch3:		upstream-sys-std_numeric_limits.patch
Patch4:		upstream-w2help2man.patch
Patch5:		%{name}-gcc6.patch
URL:		http://www.gnu.org/software/3dldf/
# ps2pdf
BuildRequires:	ghostscript
BuildRequires:	gsl-devel
BuildRequires:	libstdc++-devel
BuildRequires:	texlive
BuildRequires:	texlive-fonts-type1-hoekwater
BuildRequires:	texinfo
BuildRequires:	texinfo-texi2dvi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
3DLDF is a package for three-dimensional drawing with MetaPost output.
It is intended, among other things, to provide a convenient way of
creating 3D graphics for inclusion in TeX documents.
 
%description -l pl.UTF-8
3DLF to pakiet do tworzenia trójwymiarowej grafiki z wyjściem w
formacie MetaPost. Ma on służyć między innymi do udostępnienia
wygodnego sposobu tworzenia grafiki 3D w celu włączenia do dokumentów
w TeXu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
# only 3dlfb binary uses libs, symbols are messed - no sense in building shared libs
%configure \
	--disable-shared
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D doc/3dldf.info $RPM_BUILD_ROOT%{_infodir}/3dldf.info

# headers not installed
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib3dldf*.{la,a}
# too common name
%{__rm} $RPM_BUILD_ROOT%{_bindir}/dummy

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/3dldf
%attr(755,root,root) %{_bindir}/prbsnflx
%{_infodir}/3dldf.info*
%changelog
* Tue Oct 29 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/3DLDF.git;a=log;h=master

* Tue Oct 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 392c8d8
- release 7 (rebuild with gsl 2.6)

* Mon Jun 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 983e210
- added gcc6 patch (avoid ambiguity with std::conditional)
- release 6 (rebuild with gsl 2.4)

* Sun Dec 27 2015 Jan Rękorajski <baggins@pld-linux.org> 359ef52
- added gcc 5 fixes from Debian
- rel 5

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 7ec603f
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 4aa6112
- release 3 (by relup.sh)

* Sat Jan 18 2014 Jan Rękorajski <baggins@pld-linux.org> 8bb57fd
- release 2 (by relup.sh)

* Sat Dec 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 02bc01c
- updated to 2.0.3
- removed obsolete bison,texinfo patches

* Sat Nov 23 2013 Jakub Bogusz <qboosh@pld-linux.org> e94c89f
- no parallel make

* Sat Nov 23 2013 Jakub Bogusz <qboosh@pld-linux.org> b7dba04
- updated to 2.0.2
- updated info patch
- added bison and texinfo patches (to fix build with bison 3 / texinfo 5 resp.)

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> ae2f5d9
- unify ftp.gnu.org urls

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> b98b958
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d8462d6
- tabs in preamle

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 772fdad
- converted to UTF-8

* Sun Jan 18 2004 Jakub Bogusz <qboosh@pld-linux.org> fdda942
- 1.1.5.1, updated info patch

* Sun Jan 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 842316d
- removed using.texi from here (included in sources now)

* Tue Dec 30 2003 Jakub Bogusz <qboosh@pld-linux.org> 741b659
- new; rather unusable yet in binary form (input is source code)

* Tue Dec 30 2003 Jakub Bogusz <qboosh@pld-linux.org> 25e4132
- direntry unification and reconstructed missing file for *.info regeneration

